package com.seer.teach.common.enums;

public enum BankQuestionStatusEnum {

    EDIT(0, "草稿"),
    START(1, "启用"),
    STOP(2, "停用");
    private final int code;

    private final String msg;

    BankQuestionStatusEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }


    @Override
    public String toString() {
        return String.format("%s(%d - %s)", this.name(), code, msg);
    }
}
